<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="String" />

        <variable
            name="itemPosition"
            type="Integer" />

        <variable
            name="itemListener"
            type="com.example.foodyappv2.presentation.storedetail.StoreImageAdapter.FoodImageListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:onClick="@{()-> itemListener.onItemClick(itemPosition,item)}">


        <ImageView
            android:id="@+id/imv_food"
            iv_image_1="@{item}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            android:adjustViewBounds="true"
            android:background="@drawable/ripple_click_square"
            android:scaleType="centerCrop"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/food_image_5" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>